Subject: Re: bug#26816: mouse movement support for OS X

From: Alan Third <[email-masked]>
Date: Sun, 14 May 2017 14:59:10 +0100

On Sun, May 14, 2017 at 03:29:57PM +0200, Charles A. Roelli wrote:
> Attached is a patch now working with multiple monitors.  I also added
> `ns-set-mouse-absolute-pixel-position', a test and a NEWS entry.  The test
> works interactively, but it requires a frame to run and I'm not sure whether
> tests run with them by default.

Usually you run tests with ’make check’, and there’s no frame
available. I’ve just checked and it does throw up an error for that
test. I’m not sure how that should be handled.

> The code for handling the y-coord in `ns-set-mouse-absolute-pixel-position'
> is from `ns-display-monitor-attributes-list' (in the calculation of the
> screen geometry).  I also made (set-mouse-absolute-pixel-position 0 0) put
> the mouse in the top-left corner of the current screen.
> 
> I tried out both `set-mouse-position' and
> `set-mouse-absolute-pixel-position' on setups with the secondary monitor on
> the left, right, top and bottom, and they seem to work right.
> 
> I also got rid of the call to `ns_raise_frame' in
> `frame_set_mouse_pixel_position', which is unnecessary.

It all looks good to me. Leave this here a few days and if nobody
complains push it to master. I’m not sure what to do about the test.
If nobody offers a suggestion here, you could ask in emacs-devel.

Thanks for working on this.
-- 
Alan Third